| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.OpenGL.Window

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Class Hierarchy
Types
Constructors
Methods

Description
OpenGL window which is located on-screen
Synopsis

data GLWindow
class DrawableClass o => GLWindowClass o
castToGLWindow :: GObjectClass obj => obj -> GLWindow
glWindowNew :: GLConfig -> DrawWindow -> IO GLWindow
glWindowGetWindow :: GLWindow -> IO DrawWindow

Class Hierarchy

     |  GObject
     |   +----Drawable
     |         +----GLWindow

Types
data GLWindow

Instances

GObjectClass GLWindow
DrawableClass GLWindow
GLDrawableClass GLWindow
GLWindowClass GLWindow

class DrawableClass o => GLWindowClass o

Instances

GLWindowClass GLWindow

castToGLWindow :: GObjectClass obj => obj -> GLWindow
Constructors
glWindowNew

:: GLConfig |
-> DrawWindow | `window` - the `DrawWindow` to be used as the rendering area.
-> IO GLWindow |
Creates an on-screen rendering area.

Methods
glWindowGetWindow :: GLWindow -> IO DrawWindow
Returns the `DrawWindow` associated with a `GLWindow`.
Produced by Haddock version 2.4.2